{{- if .Values.isolateComponents }}
apiVersion: v1
kind: Service
metadata:
  name: {{ template "seleniumGrid.distributor.fullname" . }}-{{ .Values.env }}-svc
  namespace:  {{ .Values.namespace }}
  labels:
    app: {{ template "seleniumGrid.distributor.fullname" . }}-{{ .Values.env }}
    {{- include "seleniumGrid.commonLabels" . | nindent 4 }}
    {{- with .Values.customLabels }}
      {{- toYaml . | nindent 4 }}
    {{- end }}
{{- with .Values.components.distributor.serviceAnnotations }}
  annotations: {{- toYaml . | nindent 4 }}
{{- end }}
spec:
  selector:
    app: {{ template "seleniumGrid.distributor.fullname" . }}-{{ .Values.env }}
    app.kubernetes.io/instance: {{ .Release.Name }}
  type: {{ .Values.components.distributor.serviceType }}
  ports:
    - name: tcp-dist
      protocol: TCP
      port: {{ .Values.components.distributor.port }}
      targetPort: {{ .Values.components.distributor.port }}
{{- end }}
